
QGIS Application - Bug report #15075

Node tool doesn't recognize polygon new extent until feature is saved

2016-06-19 01:53 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:2.14.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 23018

Description

Select a polygon layer and toggle to edition

You can activate its vertices by clicking inside a polygon with the node tool. No need to precisely click an edge or vertex.

Now move or reshape the feature.

If you click with the node tool inside the feature (at a place the feature didn't cover before), you get a warning that QGIS couldn't snap to a

feature.  The only way to activate the vertices is to click on an edge, a vertex or inside the old extent of the feature (though there's no

more feature there).

It looks like until you save the changes, the node tool doesn't acknowledge the change of feature extent (just edges and vertices are

recognized).

History

#1 - 2016-06-19 01:59 AM - Harrissou Santanna

Node tool does neither activate vertices of a newly created polygon when clicking inside the feature (until you save changes).

#2 - 2016-07-16 01:48 PM - R. R.

- File 15075.mp4 added

I can confirm this issue (see screencast).

#3 - 2016-07-17 12:41 AM - R. R.

Related: #15294 (Node tool selects wrong feature)

#4 - 2017-05-01 01:05 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2018-02-02 06:43 PM - Harrissou Santanna

- Resolution set to not reproducable

- Description updated

- Status changed from Open to Closed

I think the node tool refactoring has solved this issue.
Files

15075.mp4 1.28 MB 2016-07-16 R. R.
